Request Options

Index

get

Pagination

Pagination is available for this request. Please see the section on using pagination for more details.

Available Filters

These are the filters that can be used to specific the data to return. Please see the section on using filters for more details.

  • type

  • key

  • value

  • requestable_type

  • requestable_id

Available Sorts

These are the sorts that can be used order the returned data. Please see the section on using sorting for more details.

  • type

  • key

  • value

Authorizations
Query parameters
filter[type]stringOptional

Filter results by type.

filter[key]stringOptional

Filter results by key.

filter[value]stringOptional

Filter results by value.

filter[requestable_type]stringOptional

Filter results by requestable_type.

filter[requestable_id]stringOptional

Filter results by requestable_id.

sortstringOptional

Sort field. Prefix with - for descending. Available: type, key, value

pageinteger · min: 1Optional

Page number for pagination.

Default: 1
per_pageinteger · min: 1 · max: 100Optional

Number of results per page.

Responses
chevron-right
200

Successful response

application/json
get
/api/v1/request-options

Store

post

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

type

string

key

string

value

string

requestable_type

string

requestable_id

integer

configurable

locked

required

Authorizations
Body
typestringRequired
keystringRequired
valuestringRequired
requestable_typestringRequired
requestable_idintegerRequired
configurablestring · nullableOptional
lockedstring · nullableOptional
requiredstring · nullableOptional
Responses
chevron-right
200

Successful response

application/json
post
/api/v1/request-options

Show

get

Available Filters

These are the filters that can be used to specific the data to return. Please see the section on using filters for more details.

  • type

  • key

  • value

  • requestable_type

  • requestable_id

Available Sorts

These are the sorts that can be used order the returned data. Please see the section on using sorting for more details.

  • type

  • key

  • value

Authorizations
Path parameters
request_optionstringRequired

The request option identifier.

Query parameters
filter[type]stringOptional

Filter results by type.

filter[key]stringOptional

Filter results by key.

filter[value]stringOptional

Filter results by value.

filter[requestable_type]stringOptional

Filter results by requestable_type.

filter[requestable_id]stringOptional

Filter results by requestable_id.

sortstringOptional

Sort field. Prefix with - for descending. Available: type, key, value

pageinteger · min: 1Optional

Page number for pagination.

Default: 1
per_pageinteger · min: 1 · max: 100Optional

Number of results per page.

Responses
chevron-right
200

Successful response

application/json
get
/api/v1/request-options/{request_option}

Update

put

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

type

string

key

string

value

string

Authorizations
Path parameters
request_optionstringRequired

The request option identifier.

Body
typestringOptional
keystringOptional
valuestringOptional
Responses
chevron-right
200

Successful response

application/json
put
/api/v1/request-options/{request_option}

Destroy

delete

Delete a request option.

Authorizations
Path parameters
request_optionstringRequired

The request option identifier.

Responses
chevron-right
200

Successful response

application/json
messagestringOptional
delete
/api/v1/request-options/{request_option}

Last updated

Was this helpful?